Create story
curl --request POST \
--url https://api.ofauth.com/v3/access/stories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"mediaItems": [
1
],
"releaseForms": {
"users": [],
"partners": [],
"guests": []
}
}
'import requests
url = "https://api.ofauth.com/v3/access/stories"
payload = {
"mediaItems": [1],
"releaseForms": {
"users": [],
"partners": [],
"guests": []
}
}
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({mediaItems: [1], releaseForms: {users: [], partners: [], guests: []}})
};
fetch('https://api.ofauth.com/v3/access/stories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/stories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mediaItems' => [
1
],
'releaseForms' => [
'users' => [
],
'partners' => [
],
'guests' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/stories"
payload := strings.NewReader("{\n \"mediaItems\": [\n 1\n ],\n \"releaseForms\": {\n \"users\": [],\n \"partners\": [],\n \"guests\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/access/stories")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mediaItems\": [\n 1\n ],\n \"releaseForms\": {\n \"users\": [],\n \"partners\": [],\n \"guests\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/stories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mediaItems\": [\n 1\n ],\n \"releaseForms\": {\n \"users\": [],\n \"partners\": [],\n \"guests\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"userId": 123,
"isReady": true,
"media": [
{
"id": 123,
"type": "<string>",
"convertedToVideo": true,
"canView": true,
"hasError": true,
"isReady": true,
"createdAt": "<string>",
"duration": 123,
"hasCustomPreview": true,
"videoSources": {},
"files": {
"full": {
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"user": {
"id": 123,
"username": "<string>",
"name": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"isDeleted": true,
"isActive": true
},
"hasPost": true,
"isWatched": true,
"createdAt": "<string>",
"question": null,
"viewers": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"isStoryLiked": true,
"isStoryBlockedUser": true,
"canLookStory": true,
"canCommentStory": true,
"hasNotViewedStory": true
}
],
"canLike": true,
"isLiked": true
}Stories
Create story
Create a story from one uploaded image or vault image.
Required scope: stories:write
POST
/
v3
/
access
/
stories
Create story
curl --request POST \
--url https://api.ofauth.com/v3/access/stories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"mediaItems": [
1
],
"releaseForms": {
"users": [],
"partners": [],
"guests": []
}
}
'import requests
url = "https://api.ofauth.com/v3/access/stories"
payload = {
"mediaItems": [1],
"releaseForms": {
"users": [],
"partners": [],
"guests": []
}
}
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({mediaItems: [1], releaseForms: {users: [], partners: [], guests: []}})
};
fetch('https://api.ofauth.com/v3/access/stories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/stories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mediaItems' => [
1
],
'releaseForms' => [
'users' => [
],
'partners' => [
],
'guests' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/stories"
payload := strings.NewReader("{\n \"mediaItems\": [\n 1\n ],\n \"releaseForms\": {\n \"users\": [],\n \"partners\": [],\n \"guests\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/access/stories")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mediaItems\": [\n 1\n ],\n \"releaseForms\": {\n \"users\": [],\n \"partners\": [],\n \"guests\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/stories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mediaItems\": [\n 1\n ],\n \"releaseForms\": {\n \"users\": [],\n \"partners\": [],\n \"guests\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"userId": 123,
"isReady": true,
"media": [
{
"id": 123,
"type": "<string>",
"convertedToVideo": true,
"canView": true,
"hasError": true,
"isReady": true,
"createdAt": "<string>",
"duration": 123,
"hasCustomPreview": true,
"videoSources": {},
"files": {
"full": {
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"user": {
"id": 123,
"username": "<string>",
"name": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"isDeleted": true,
"isActive": true
},
"hasPost": true,
"isWatched": true,
"createdAt": "<string>",
"question": null,
"viewers": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {},
"isStoryLiked": true,
"isStoryBlockedUser": true,
"canLookStory": true,
"canCommentStory": true,
"hasNotViewedStory": true
}
],
"canLike": true,
"isLiked": true
}Authorizations
Headers
Body
application/json
Was this page helpful?